%{
#include <malloc.h>
#include <stdio.h>

char str[255];
char *s;

char glchar;

int yylex();
int yyerror();

struct str
{
  struct str* l;
  struct str* r;
  char ch;
};

struct str* newc(char c)
{struct str* s;
s=malloc(sizeof(struct str));
s->ch=c;
return s;
}
void print(struct str*s);
void printz(struct str*s,char c,int z);

void printm(struct str*s,char c)
{ int z=0;
  if(c=='/')
  {
    if(s->ch=='+' || s->ch=='-' || s->ch=='*' || s->ch=='/') z=1;
  }
   
  if(c=='-')
  {
    if(s->ch=='+' || s->ch=='-') z=1;
  }
  printz(s,c,z);
}

void printz(struct str*s,char c,int z)
{ if(c=='*' || c=='/')
  {
    if(s->ch=='+' || s->ch=='-') z=1;
  }
  if(z) printf("(");
  print(s);
  if(z) printf(")");
}

void print(struct str* s)
{
  switch(s->ch)
  {
    case '+':
    case '-':
    case '*':
    case '/': printz(s->l,s->ch,0);printf("%c",s->ch);printm(s->r,s->ch);break;
    default: printf("%c",s->ch);
  }
}

#define YYSTYPE struct str*
%}

%token VAR
%left '-' '+'
%left '*' '/'


%%
start: exp {print($1);}
exp: VAR {$$=newc(glchar);}
 | exp '+' exp {$$=newc('+');$$->l=$1;$$->r=$3;}
 | exp '-' exp {$$=newc('-');$$->l=$1;$$->r=$3;}
 | exp '*' exp {$$=newc('*');$$->l=$1;$$->r=$3;}
 | exp '/' exp {$$=newc('/');$$->l=$1;$$->r=$3;}
 | '(' exp ')' {$$=$2;}
;

%%

int yylex()
{ char c=*s;
  s++;
  if(c>='a' && c<='z') {glchar=c;return VAR;}
  return c;
}

int yyerror()
{
  return 0;
}

int main()
{ int N;
scanf("%d",&N);
while(N--)
{
  scanf("%s",str);
  s=str;
  yyparse();
 printf("\n"); 
 }
  return 0;
}

