%{
#include <malloc.h>
#include <stdio.h>

int yylex();
int yyerror();

struct str
{
  char s[256];
};

#define YYSTYPE struct str

struct str glstr;

const struct str EMPTY={""};

void add_sent(struct str subject,struct str pred,struct str obj)
{
}

%}

%token STR
%token DO
%token DOES
%token WHO
%token WHAT

%%


START: | LINE '\n' START
LINE: Q START
 | S START
 | BYE
 ;
BYE: OBJECT '!'
;
S: SUBJ ' ' PRED ' ' OBJECT '.' {add_sent($1,$3,$5);}
|  SUBJ ' ' PRED '.'            {add_sent($1,$3,EMPTY);}
;
Q: DO ' ' SUBJ ' ' PRED ' ' OBJECT '?'
|  DO ' ' SUBJ ' ' PRED '?'
|  DOES ' ' SUBJ ' ' PRED ' ' OBJECT '?'
|  DOES ' ' SUBJ ' ' PRED '?'
|  WHO ' ' PRED ' ' OBJECT '?'
|  WHO ' ' PRED '?'
|  WHAT ' ' DO ' ' SUBJ ' ' DO '?'
|  WHAT ' ' DOES ' ' SUBJ ' ' DO '?'
;
PRED: STR {$$=glstr;}
;
SUBJ: STR {$$=glstr;}
;
OBJECT:      {$$.s[0]=0;}
| STR OBJECT {strcpy($$.s,$1.s);strcat($$.s,$2.s);}
;
%%

char bchar=0;

int yylex()
{ char c;
int i=0;
if(bchar) c=bchar; else c=getchar();
bchar=0;
  if(c>='a' && c<='z')
  {
   while(c>='a' && c<='z')
   { glstr.s[i]=c;
     i++;
     c=getchar();
   }
   glstr.s[i]=0;
   bchar=c;
   return STR;
  }
  return c;
}

int yyerror()
{
  return 0;
}

int main()
{ int N;
scanf("%d",&N);
while(N--)
{
  yyparse();
}
  return 0;
}

